[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFont.Assign

Copies values from Source to the current class instance.

## Declaration

Source position: graphics.pp line 561

`public procedure TFont.Assign(`
`Source: TPersistent`
`); override; procedure TFont.Assign(`
`const ALogFont: TLogFont`
`);`

## Arguments

`Source` |  | Persistent object with values stored in the method.

## Arguments

`ALogFont` |  | Logical font resource with values stored in the method.

## Description

Assign is an overridden method used to copy values from the specified Source into the current class instance. Overloaded variants are provided that allow the source to be a TPersistent instance (which is cast to TFont) or a TLogFont record instance.

## See also

TPersistent.Assign
TLogFont |  |